<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Oeffentlich\AccessDenied\Eingeloggt;

class AccessDeniedRahmenEingeloggtPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getView()
  {
    return new \Kufer\Web\KuferTools\Oeffentlich\AccessDenied\AccessDeniedView($this->getViewModel());
  }

  protected function getViewModel()
  {
    return new \Kufer\Web\KuferTools\Oeffentlich\AccessDenied\AccessDeniedViewModel();
  }

  protected function getSeitenTitel(): string
  {
    return 'Kein Zugriff';
  }
}